com.aliyun.player

## Enum IPlayer.PropertyKey

- java.lang.Object
- - java.lang.Enum<IPlayer.PropertyKey>
  - - com.aliyun.player.IPlayer.PropertyKey

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IPlayer.PropertyKey>
  Enclosing interface:
    IPlayer

      public static enum IPlayer.PropertyKey
      extends java.lang.Enum<IPlayer.PropertyKey>

  The key to get property

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONNECT_INFO` Major URL connect information Return with JSON object，include sub fileds such as url/ip/eagleID/cdnVia/cdncip/cdnsip.
    `RESPONSE_INFO` Http response info Return with JSON array，each object item include 'response'/'type' filed。'type' could be url/video/audio/subtitle, depend on the stream whether have the tracks。 For example: [{"response":"response string","type":"url"},{"response":"","type":"video"}]

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static IPlayer.PropertyKey` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IPlayer.PropertyKey[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RESPONSE_INFO

          public static final IPlayer.PropertyKey RESPONSE_INFO

      Http response info Return with JSON array，each object item include 'response'/'type' filed。'type' could be url/video/audio/subtitle, depend on the stream whether have the tracks。 For example: [{"response":"response string","type":"url"},{"response":"","type":"video"}]

    - #### CONNECT_INFO

          public static final IPlayer.PropertyKey CONNECT_INFO

      Major URL connect information Return with JSON object，include sub fileds such as url/ip/eagleID/cdnVia/cdncip/cdnsip. For example: {"url":"http://xxx","openCost":23,"ip":"11.111.111.11","cdnVia":"xxx","cdncip":"22.222.222.22","cdnsip":"xxx"}

  - ### Method Detail

    - #### values

          public static IPlayer.PropertyKey[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IPlayer.PropertyKey c : IPlayer.PropertyKey.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IPlayer.PropertyKey valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()